<template lang="pug">
    ArticleActions(:article="article")
</template>

<script lang="ts">
    import Vue from "vue";
    import Vuex from 'vuex';
    import ArticleActions from '../components/ArticleActions'

    export default Vue.extend({

        components: {
            ArticleActions
        },

        computed: {
            article() {
                const permlinkIndicator: any= document.getElementById('permlink');
                const authorIndicator: any = document.getElementById('author');

                return {
                    permlink: permlinkIndicator ? permlinkIndicator["value"] : null,
                    author: authorIndicator ? authorIndicator["value"] : null
                }
            }
        }
    });
</script>
